#
# spec file for package gnome-filesystem (Version 0.1)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         gnome-filesystem
License:      GPL
Group:        System/Fhs
Autoreqprov:  on
Summary:      GNOME Directory Layout
Version:      0.1
Release:      117
Source:       SuSEconfig.gnome-filesystem
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This package installs the GNOME directory structure.




%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/opt
mkdir -p $RPM_BUILD_ROOT/opt
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/var/opt
rm -f gnome-filesystem.lst
for directory in \
/etc/opt/gnome \
/etc/opt/gnome/gconf \
/etc/opt/gnome/gconf/preconf \
/etc/opt/gnome/gconf/preconf/schemas \
/etc/opt/gnome/gconf/su \
/etc/opt/gnome/gconf/su/schemas \
/etc/opt/gnome/sound \
/etc/opt/gnome/sound/events \
/opt/gnome \
/opt/gnome/%_lib \
/opt/gnome/%_lib/gnome-applets2 \
/opt/gnome/%_lib/pkgconfig \
/opt/gnome/bin \
/opt/gnome/include \
/opt/gnome/info \
/opt/gnome/man \
/opt/gnome/man/man1 \
/opt/gnome/man/man5 \
/opt/gnome/man/man6 \
/opt/gnome/man/man7 \
/opt/gnome/man/man8 \
/opt/gnome/sbin \
/opt/gnome/share \
/opt/gnome/share/aclocal \
/opt/gnome/share/application-registry \
/opt/gnome/share/applications \
/opt/gnome/share/backgrounds \
/opt/gnome/share/backgrounds/scalable \
/opt/gnome/share/control-center-2.0 \
/opt/gnome/share/control-center-2.0/capplets \
/opt/gnome/share/control-center \
/opt/gnome/share/control-center/capplets \
/opt/gnome/share/gnome \
/opt/gnome/share/gnome-2.0 \
/opt/gnome/share/gnome-2.0/ui \
/opt/gnome/share/gnome/apps \
/opt/gnome/share/gnome/apps/Applications \
/opt/gnome/share/gnome/apps/Audio \
/opt/gnome/share/gnome/apps/Development \
/opt/gnome/share/gnome/apps/Games \
/opt/gnome/share/gnome/apps/Graphics \
/opt/gnome/share/gnome/apps/Internet \
/opt/gnome/share/gnome/apps/Multimedia \
/opt/gnome/share/gnome/apps/Settings \
/opt/gnome/share/gnome/apps/System \
/opt/gnome/share/gnome/apps/Utilities \
/opt/gnome/share/gnome/help \
/opt/gnome/share/gnome/wm-properties \
/opt/gnome/share/gtk-doc \
/opt/gnome/share/gtk-doc/html \
/opt/gnome/share/idl \
/opt/gnome/share/locale \
/opt/gnome/share/locale/am \
/opt/gnome/share/locale/am/LC_MESSAGES \
/opt/gnome/share/locale/ar \
/opt/gnome/share/locale/ar/LC_MESSAGES \
/opt/gnome/share/locale/az \
/opt/gnome/share/locale/az/LC_MESSAGES \
/opt/gnome/share/locale/be \
/opt/gnome/share/locale/be/LC_MESSAGES \
/opt/gnome/share/locale/bg \
/opt/gnome/share/locale/bg/LC_MESSAGES \
/opt/gnome/share/locale/bn \
/opt/gnome/share/locale/bn/LC_MESSAGES \
/opt/gnome/share/locale/bs \
/opt/gnome/share/locale/bs/LC_MESSAGES \
/opt/gnome/share/locale/ca \
/opt/gnome/share/locale/ca/LC_MESSAGES \
/opt/gnome/share/locale/cs \
/opt/gnome/share/locale/cs/LC_MESSAGES \
/opt/gnome/share/locale/cy \
/opt/gnome/share/locale/cy/LC_MESSAGES \
/opt/gnome/share/locale/da \
/opt/gnome/share/locale/da/LC_MESSAGES \
/opt/gnome/share/locale/de \
/opt/gnome/share/locale/de/LC_MESSAGES \
/opt/gnome/share/locale/el \
/opt/gnome/share/locale/el/LC_MESSAGES \
/opt/gnome/share/locale/en_AU \
/opt/gnome/share/locale/en_AU/LC_MESSAGES \
/opt/gnome/share/locale/en_CA \
/opt/gnome/share/locale/en_CA/LC_MESSAGES \
/opt/gnome/share/locale/en_GB \
/opt/gnome/share/locale/en_GB/LC_MESSAGES \
/opt/gnome/share/locale/eo \
/opt/gnome/share/locale/eo/LC_MESSAGES \
/opt/gnome/share/locale/es \
/opt/gnome/share/locale/es/LC_MESSAGES \
/opt/gnome/share/locale/es_DO \
/opt/gnome/share/locale/es_DO/LC_MESSAGES \
/opt/gnome/share/locale/es_ES \
/opt/gnome/share/locale/es_ES/LC_MESSAGES \
/opt/gnome/share/locale/es_GT \
/opt/gnome/share/locale/es_GT/LC_MESSAGES \
/opt/gnome/share/locale/es_HN \
/opt/gnome/share/locale/es_HN/LC_MESSAGES \
/opt/gnome/share/locale/es_MX \
/opt/gnome/share/locale/es_MX/LC_MESSAGES \
/opt/gnome/share/locale/es_NI \
/opt/gnome/share/locale/es_NI/LC_MESSAGES \
/opt/gnome/share/locale/es_PA \
/opt/gnome/share/locale/es_PA/LC_MESSAGES \
/opt/gnome/share/locale/es_PE \
/opt/gnome/share/locale/es_PE/LC_MESSAGES \
/opt/gnome/share/locale/es_SV \
/opt/gnome/share/locale/es_SV/LC_MESSAGES \
/opt/gnome/share/locale/et \
/opt/gnome/share/locale/et/LC_MESSAGES \
/opt/gnome/share/locale/eu \
/opt/gnome/share/locale/eu/LC_MESSAGES \
/opt/gnome/share/locale/fa \
/opt/gnome/share/locale/fa/LC_MESSAGES \
/opt/gnome/share/locale/fi \
/opt/gnome/share/locale/fi/LC_MESSAGES \
/opt/gnome/share/locale/fr \
/opt/gnome/share/locale/fr/LC_MESSAGES \
/opt/gnome/share/locale/ga \
/opt/gnome/share/locale/ga/LC_MESSAGES \
/opt/gnome/share/locale/gl \
/opt/gnome/share/locale/gl/LC_MESSAGES \
/opt/gnome/share/locale/he \
/opt/gnome/share/locale/he/LC_MESSAGES \
/opt/gnome/share/locale/hi \
/opt/gnome/share/locale/hi/LC_MESSAGES \
/opt/gnome/share/locale/hr \
/opt/gnome/share/locale/hr/LC_MESSAGES \
/opt/gnome/share/locale/hu \
/opt/gnome/share/locale/hu/LC_MESSAGES \
/opt/gnome/share/locale/id \
/opt/gnome/share/locale/id/LC_MESSAGES \
/opt/gnome/share/locale/is \
/opt/gnome/share/locale/is/LC_MESSAGES \
/opt/gnome/share/locale/it \
/opt/gnome/share/locale/it/LC_MESSAGES \
/opt/gnome/share/locale/ja \
/opt/gnome/share/locale/ja/LC_MESSAGES \
/opt/gnome/share/locale/kn \
/opt/gnome/share/locale/kn/LC_MESSAGES \
/opt/gnome/share/locale/ko \
/opt/gnome/share/locale/ko/LC_MESSAGES \
/opt/gnome/share/locale/lt \
/opt/gnome/share/locale/lt/LC_MESSAGES \
/opt/gnome/share/locale/lv \
/opt/gnome/share/locale/lv/LC_MESSAGES \
/opt/gnome/share/locale/mk \
/opt/gnome/share/locale/mk/LC_MESSAGES \
/opt/gnome/share/locale/ml \
/opt/gnome/share/locale/ml/LC_MESSAGES \
/opt/gnome/share/locale/mn \
/opt/gnome/share/locale/mn/LC_MESSAGES \
/opt/gnome/share/locale/ms \
/opt/gnome/share/locale/ms/LC_MESSAGES \
/opt/gnome/share/locale/nb \
/opt/gnome/share/locale/nb/LC_MESSAGES \
/opt/gnome/share/locale/nl \
/opt/gnome/share/locale/nl/LC_MESSAGES \
/opt/gnome/share/locale/nn \
/opt/gnome/share/locale/nn/LC_MESSAGES \
/opt/gnome/share/locale/no \
/opt/gnome/share/locale/no/LC_MESSAGES \
/opt/gnome/share/locale/pl \
/opt/gnome/share/locale/pl/LC_MESSAGES \
/opt/gnome/share/locale/pt \
/opt/gnome/share/locale/pt/LC_MESSAGES \
/opt/gnome/share/locale/pt_BR \
/opt/gnome/share/locale/pt_BR/LC_MESSAGES \
/opt/gnome/share/locale/pt_PT \
/opt/gnome/share/locale/pt_PT/LC_MESSAGES \
/opt/gnome/share/locale/ro \
/opt/gnome/share/locale/ro/LC_MESSAGES \
/opt/gnome/share/locale/ru \
/opt/gnome/share/locale/ru/LC_MESSAGES \
/opt/gnome/share/locale/sk \
/opt/gnome/share/locale/sk/LC_MESSAGES \
/opt/gnome/share/locale/sl \
/opt/gnome/share/locale/sl/LC_MESSAGES \
/opt/gnome/share/locale/sp \
/opt/gnome/share/locale/sp/LC_MESSAGES \
/opt/gnome/share/locale/sq \
/opt/gnome/share/locale/sq/LC_MESSAGES \
/opt/gnome/share/locale/sr \
/opt/gnome/share/locale/sr/LC_MESSAGES \
/opt/gnome/share/locale/sr@Latn \
/opt/gnome/share/locale/sr@Latn/LC_MESSAGES \
/opt/gnome/share/locale/sv \
/opt/gnome/share/locale/sv/LC_MESSAGES \
/opt/gnome/share/locale/ta \
/opt/gnome/share/locale/ta/LC_MESSAGES \
/opt/gnome/share/locale/th \
/opt/gnome/share/locale/th/LC_MESSAGES \
/opt/gnome/share/locale/tr \
/opt/gnome/share/locale/tr/LC_MESSAGES \
/opt/gnome/share/locale/uk \
/opt/gnome/share/locale/uk/LC_MESSAGES \
/opt/gnome/share/locale/vi \
/opt/gnome/share/locale/vi/LC_MESSAGES \
/opt/gnome/share/locale/wa \
/opt/gnome/share/locale/wa/LC_MESSAGES \
/opt/gnome/share/locale/yi \
/opt/gnome/share/locale/yi/LC_MESSAGES \
/opt/gnome/share/locale/zh_CN \
/opt/gnome/share/locale/zh_CN/LC_MESSAGES \
/opt/gnome/share/locale/zh_HK \
/opt/gnome/share/locale/zh_HK/LC_MESSAGES \
/opt/gnome/share/locale/zh_TW \
/opt/gnome/share/locale/zh_TW/LC_MESSAGES \
/opt/gnome/share/mime-info \
/opt/gnome/share/oaf \
/opt/gnome/share/omf \
/opt/gnome/share/pixmaps \
/opt/gnome/share/pixmaps/nautilus \
/opt/gnome/share/sgml \
/opt/gnome/share/sounds \
/opt/gnome/share/themes \
/var/opt/gnome \
/var/opt/gnome/cache \
; do
mkdir $RPM_BUILD_ROOT$directory
echo "%%dir $directory" >>gnome-filesystem.lst
done
mkdir $RPM_BUILD_ROOT/etc/profile.d
echo 'if test -z "$ACLOCAL_PATH" ; then
    export ACLOCAL_PATH="/opt/gnome/share/aclocal"
else
    export ACLOCAL_PATH="$ACLOCAL_PATH:/opt/gnome/share/aclocal"
fi
if test -z "$PKG_CONFIG_PATH" ; then
    export PKG_CONFIG_PATH="/opt/gnome/%_lib/pkgconfig"
else
    export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:/opt/gnome/%_lib/pkgconfig"
fi
if test -z "$INFOPATH" ; then
    export INFOPATH="/opt/gnome/info"
else
    export INFOPATH="$INFOPATH:/opt/gnome/info"
fi'> $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.sh
echo 'if ( ${?ACLOCAL_PATH} ) then
    setenv ACLOCAL_PATH ${ACLOCAL_PATH}:/opt/gnome/share/aclocal
else
    setenv ACLOCAL_PATH /opt/gnome/share/aclocal
endif
if ( ${?PKG_CONFIG_PATH} ) then
    setenv PKG_CONFIG_PATH ${PKG_CONFIG_PATH}:/opt/gnome/lib/pkgconfig
else
    setenv PKG_CONFIG_PATH /opt/gnome/lib/pkgconfig
endif
if ( ${?INFOPATH} ) then
    setenv INFOPATH ${INFOPATH}:/opt/gnome/info
else
    setenv INFOPATH /opt/gnome/info
endif' > $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.csh
chmod +x $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.*
mkdir -p $RPM_BUILD_ROOT/usr/share/aclocal/dirlist.d
echo /opt/gnome/share/aclocal >$RPM_BUILD_ROOT/usr/share/aclocal/dirlist.d/gnome-filesystem
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install %{S:0} $RPM_BUILD_ROOT/sbin/conf.d

%files -f gnome-filesystem.lst
/etc/profile.d/gnome-filesystem.*
/usr/share/aclocal
/sbin/conf.d/SuSEconfig.gnome-filesystem

%changelog -n gnome-filesystem
* Wed Jan 14 2004 - sbrabec@suse.cz
- Use mktemp for creating of temporary directory instead of $RANDOM
  (bug #32938).
* Tue Sep 30 2003 - sbrabec@suse.cz
- Do not delete /usr/share/themes (bug #31868).
* Wed Sep 17 2003 - sbrabec@suse.cz
- Do not extend PATH, /etc/profile includes /opt/gnome/bin (bug #30844).
* Tue Sep 16 2003 - sbrabec@suse.cz
- Set INFOPATH.
* Tue Sep 16 2003 - ro@suse.de
- create /var/opt first
* Tue Sep 16 2003 - sbrabec@suse.cz
- Added /var/opt/gnome to skeleton.
- SuSEconfig.gnome-filesystem:
- Force delete old gstreamer registry and installed_schemas_su.
- In obsolete area don't check for empty directory RPM ownership
  (speed-up).
* Tue Sep 16 2003 - sbrabec@suse.cz
- Added SuSEconfig.gnome-filesystem - post-update purge script.
* Fri Jul 25 2003 - hhetter@suse.de
- use correct csh syntax in gnome-filesystem.csh
  (# 28250)
* Thu Jul 24 2003 - hhetter@suse.de
- added control-center-1 applet directories
* Mon Jul 21 2003 - hhetter@suse.de
- added control-center-2 applet  directories
* Wed Jul 16 2003 - sbrabec@suse.cz
- Added aclocal dirlist support.
* Tue Jul 15 2003 - sbrabec@suse.cz
-Fixed typo in PKG_CONFIG_PATH.
* Mon Jul 14 2003 - sbrabec@suse.cz
- Added aclocal and pkgconfig.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jul 10 2003 - sbrabec@suse.cz
- Added directory for backgrounds.
* Fri Jul 04 2003 - ro@suse.de
- added man7/man8 directories in /opt/gnome
* Thu Jun 26 2003 - hhetter@suse.de
- added gconf schema directories
* Wed Jun 25 2003 - sbrabec@suse.cz
- Added symlink for capplets.
* Tue Jun 24 2003 - sbrabec@suse.cz
- Added wm-properties.
* Wed Jun 18 2003 - sbrabec@suse.cz
- Fixed location of themes to /opt/gnome2/share.
* Wed Jun 18 2003 - sbrabec@suse.cz
- Added all official GNOME1 gnome/apps directories.
* Wed Jun 18 2003 - sbrabec@suse.cz
- Added man6 and sgml directories.
- Removed Gnome1 sounds.
- Added compatibility symlinks (deactivated before fixing all packages).
- Moved themes to /usr and created symlink.
* Wed Jun 18 2003 - mmj@suse.de
- Last change was an attempt to compensate for some GNOME2
  packages still using GNOME1 desktop files. It caused a prefix
  clash, and is now removed.
* Tue Jun 17 2003 - mmj@suse.de
- Added two missing apps/ directories
* Fri Jun 13 2003 - sbrabec@suse.cz
- Added /etc stuff.
- Added GNOME2 eo locale.
* Wed Jun 11 2003 - sbrabec@suse.cz
- Created GNOME filesystem hierrarchy skeleton.
